# QA Dashboard
# Copyright 2012-2013 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from django.views.decorators.http import require_GET
from django.shortcuts import render_to_response
from django.template import RequestContext
from django.core.exceptions import PermissionDenied

from common.plugin_helper import ExtensionManager

from common.bread_crumbs import (
    BreadCrumb,
    BreadCrumbTrail,
)


@BreadCrumb("CI Dashboard")
@require_GET
def index(request):
    ext_man = ExtensionManager()
    kpi_html = ext_man.kpi_render()
    data = {
        'kpi_html': kpi_html,
        'bread_crumb_trail': BreadCrumbTrail.leading_to(index),
    }

    return render_to_response('kpi.html', data, RequestContext(request))


def cause_oops(request):
    if request.user.is_staff:
        raise AssertionError("Manually generated OOPS")
    else:
        raise PermissionDenied
