#!/bin/bash

set -e

# find the correct directory
basedir=$(readlink -f $(dirname $0))

# set the lock file name
project=$(basename $(readlink -f ${basedir}/..))

# update code, run jenkins_pull_*
(
  flock -x -n 200

  cd $basedir/..
  if ! bzr missing >/dev/null; then
    bzr pull
    python manage.py syncdb
    python manage.py migrate
    python manage.py collectstatic --noinput
    sudo service apache2 graceful
  fi
  # update plugins
  python manage.py plugin_sync
  # run the update script
  scripts/qa-dashboard-update.sh $1
) 200>/var/lock/$project-update-code
