#!/bin/bash

if [ -n "$1" ]; then
	case $1 in
		[1-9]) DAYS="-d $1"
	esac
fi

set -e

# find the correct directory
basedir=$(readlink -f $(dirname $0))

# set the lock file name
project=$(basename $(readlink -f ${basedir}/..))

# update
(
  flock -x -n 200

  cd $basedir/..

  # run the update script
  python manage.py jenkins_pull_sru $DAYS
  python manage.py jenkins_pull_bootspeed $DAYS
  python manage.py jenkins_pull_power $DAYS
  python manage.py jenkins_pull_memory $DAYS
  # Disabling idlepower pull script until tests are fixed
  # python manage.py jenkins_pull_idlepower $DAYS
  python manage.py jenkins_pull_eventstat $DAYS
  python manage.py jenkins_pull_memevent $DAYS
  python manage.py pull_plugin_data
) 200>/var/lock/$project-qa-dashboard-update
